Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.extensions
Class XSLProcessorContext

    java.lang.Object
      |
      +--org.apache.xalan.extensions.XSLProcessorContext

public class XSLProcessorContext
extends java.lang.Object

Provides transformer context to be passed to an extension element.

Constructor Summary
`XSLProcessorContext(TransformerImpl transformer, Stylesheet stylesheetTree, Node sourceTree, Node sourceNode, QName mode)` Create a processor context to be passed to an extension.

Method Summary
`Node` | `getContextNode()` Get the current context node.
`QName` | `getMode()` Get the current mode being executed.
`Node` | `getSourceTree()` Get the root of the source tree being executed.
`Stylesheet` | `getStylesheet()` Get the Stylesheet being executed.
`TransformerImpl` | `getTransformer()` Get the transformer.
`void` | `outputToResultTree(Stylesheet stylesheetTree, java.lang.Object obj)` Output an object to the result tree by doing the right conversions.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLProcessorContext

    public XSLProcessorContext(TransformerImpl transformer,
                               Stylesheet stylesheetTree,
                               Node sourceTree,
                               Node sourceNode,
                               QName mode)

  Create a processor context to be passed to an extension. (Notice it is a package-only constructor).

Method Detail

### getTransformer

    public TransformerImpl getTransformer()

  Get the transformer.

### getStylesheet

    public Stylesheet getStylesheet()

  Get the Stylesheet being executed.

### getSourceTree

    public Node getSourceTree()

  Get the root of the source tree being executed.

### getContextNode

    public Node getContextNode()

  Get the current context node.

### getMode

    public QName getMode()

  Get the current mode being executed.

### outputToResultTree

    public void outputToResultTree(Stylesheet stylesheetTree,
                                   java.lang.Object obj)
                            throws SAXException,
                                   java.net.MalformedURLException,
                                   java.io.FileNotFoundException,
                                   java.io.IOException

  Output an object to the result tree by doing the right conversions. This is public for access by extensions.
  Parameters:
    `obj` - the Java object to output. If its of an X type then that conversion is done first and then sent out.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.